<?php

namespace Service;

class ParaVendaOnline {

    protected $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
        $this->entityManager = $entityManager;
    }

    public function getParamsVendaOnline(){
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_ESITEF_DETAILS);
    }

    public function getParamsVendaOnlineFiliGer($CDFILIAL){
        $params = array(
            ':CDFILIAL' => $CDFILIAL
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_ESITEF_DETAILS_FILI_GER, $params);
    }

}
