function AutoRechargeService(Query, AutoRechargeRepository, ConfirmAutoRechargeRepository){

    this.getAutoRechargeDetails = function(CDCLIENTE, CDCONSUMIDOR, CDFILIAL){
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('CDFILIAL').equals(CDFILIAL);
        return AutoRechargeRepository.download(query);
    };

    this.confirmAutoRecharge = function(CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, VRMINSALDORRECAR, VRRECARGARAUT, CDFILIAL){
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('CDFAMILISALD').equals(CDFAMILISALD)
                        .where('VRMINSALDORRECAR').equals(VRMINSALDORRECAR)
                        .where('VRRECARGARAUT').equals(VRRECARGARAUT)
                        .where('CDFILIAL').equals(CDFILIAL);
        return ConfirmAutoRechargeRepository.download(query);
    };

};

Configuration(function(ContextRegister){
    ContextRegister.register('AutoRechargeService', AutoRechargeService);
});