function RestrictProductService(Query, ProductRestrictionsRepository, ConsumerFamiliesRepository, FamilyProductsRepository, AddProductRestrictionRepository, UpdateProductRestrictionRepository, DeleteProductRestrictionRepository){

    var prodFam = '';

    this.setProdFam = function(prodGroup) {
        prodFam = prodGroup;
    };

    this.ProdFam = function() {
        return prodFam;
    };

    this.getProductRestrictions = function (CDFILIAL, CDCLIENTE, CDCONSUMIDOR){
        var query = Query.build()
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR);
        return ProductRestrictionsRepository.download(query);
    }

    this.deleteRestrictionFood = function (CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, CDPRODUTO){
        var query = Query.build()
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('CDFAMILISALD').equals(CDFAMILISALD)
                        .where('CDPRODUTO').equals(CDPRODUTO);
        return DeleteProductRestrictionRepository.download(query);
    }

    this.updateRestrictionFood = function (QTCONSDIARAL, CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, CDPRODUTO, cdWeekDays){
        var query = Query.build()
                        .where('QTCONSDIARAL').equals(QTCONSDIARAL)
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('CDFAMILISALD').equals(CDFAMILISALD)
                        .where('CDPRODUTO').equals(CDPRODUTO)
                        .where('cdWeekDays').equals(cdWeekDays);
        return UpdateProductRestrictionRepository.download(query);
    }

    this.addRestrictionFood = function (CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, CDPRODUTO, QTCONSDIARAL, cdWeekDays){
        var query = Query.build()
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('CDFAMILISALD').equals(CDFAMILISALD)
                        .where('CDPRODUTO').equals(CDPRODUTO)
                        .where('QTCONSDIARAL').equals(QTCONSDIARAL)
                        .where('cdWeekDays').equals(cdWeekDays);
        return AddProductRestrictionRepository.download(query);
    }

    this.getFamilyProducts = function (CDFILIAL, CDFAMILISALD, CDCLIENTE, CDCONSUMIDOR){
        var query = Query.build()
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDFAMILISALD').equals(CDFAMILISALD)
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR);
        return FamilyProductsRepository.download(query);
    }

    this.getConsumerFamilies = function (CDFILIAL, CDCLIENTE, CDCONSUMIDOR){
        var query = Query.build()
                        .where('CDFILIAL').equals(CDFILIAL)
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR);
        return ConsumerFamiliesRepository.download(query);
    }

};

Configuration(function(ContextRegister){
    ContextRegister.register('RestrictProductService', RestrictProductService);
});