function ProductsHistoryController(ScreenService, templateManager, ProductsHistoryRepo) {

    /* Gets the client's current balance for all the families. */
/*    this.loadProductsHistory = function(row, widget) {
            HistoryDetailsRepository.clearAll().then(function (){
                LoginRepository.findOne().then(function (consumerData){
                    StoreListRepository.findOne().then(function (store){
                        CardapioService.loadProductsHistory(consumerData['CDCLIENTE'], consumerData['CDCONSUMIDOR'], store['CDFILIAL'], store['CDCAIXA']).then(function (products){
                            var payments = [];
                            for (var i in products){
                                    payments.push(
                                        {
                                            GRUPO   : products[i].NMGRUPO,
                                            LABELPRICE : products[i].QTPRODCOMVEN + ' x ' + parseFloat(products[i].VRPRECCOMVEN).toFixed(2).replace('.',','),
                                            DSBUTTON   : products[i].NMPRODUTO,
                                            CHECKDATE  : products[i].DTHRINCOMVEN
                                        }
                                    )
                                }
                            }
                            widget.dataSource.data = payments;
                            widget.activate();
                            templateManager.updateTemplate();
                        });
                    });
                });
    };*/

    this.resetWidget = function(widget){
            widget.dataSource.data = [];
            widget.reload();
            widget.plainTreeData = [];
            templateManager.updateTemplate();
    };

    this.loadHistory = function(listGroup) {
        ProductsHistoryRepo.findAll().then(function(history){
            listGroup.dataSource.data = history;
            listGroup.reload();
            templateManager.updateTemplate();
        });
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register('ProductsHistoryController', ProductsHistoryController);
});